Name: jmx
Version: 1.0
Release: C1
Source: %{name}-%{version}-ri.zip
Copyright: Apache
Group: Utilities
URL: http://jakarta.apache.org/
Summary: Java Management Extensions w/reference implementation
BuildRoot: /tmp/%{name}
BuildArchitectures: noarch

%description
Java Management Extensions w/reference implementation

%changelog
* Mon Apr 30 2001 Will DeHaan <null@sun.com>
  - Initial RPM at version 1.0

%prep
cd $RPM_BUILD_DIR
unzip $RPM_SOURCE_DIR/%{name}-%{version}-ri.zip

%install
mkdir -p $RPM_BUILD_ROOT/usr/java/jmx%{version}
cd $RPM_BUILD_DIR/%{name}
cp -rp * $RPM_BUILD_ROOT/usr/java/jmx%{version}

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
echo "export JMX_HOME=/usr/java/jmx%{version}" > $RPM_BUILD_ROOT/etc/profile.d/jmx.sh
echo "export CLASSPATH=\$CLASSPATH:/usr/java/jmx%{version}/lib" >> $RPM_BUILD_ROOT/etc/profile.d/jmx.sh
chmod +x $RPM_BUILD_ROOT/etc/profile.d/jmx.sh


%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%dir /usr/java/jmx%{version}
/usr/java/jmx%{version}/*
%config /etc/profile.d/jmx.sh
